Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Class Phonon.Category

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.phonon.Phonon.Category

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  Phonon

    public static final class Phonon.Category

extends java.lang.Enum
implements QtEnumerator

Sets the category your program should be listed in in the mixer. A Jukebox will set this to Music, a VoIP program to Communication, a DVD player to video, and so on.

Note: These categories can also become useful for an application that controls the volumes automatically, like turning down the music when a call comes in, or turning down the notifications when the media player knows it's playing classical music.

See Also:
  Serialized Form

Field Summary
`static Phonon.Category` | `AccessibilityCategory` Sounds produced for accessibility (e.g., Text-To-Speech) Holds the largest value of categories.
`static Phonon.Category` | `CommunicationCategory` If your applications produces sounds from communication with somebody else (VoIP, voice chat).
`static Phonon.Category` | `GameCategory` Sound produced by a computer game should go into this category.
`static Phonon.Category` | `MusicCategory` If your application is a music player (like a jukebox or media player playing an audio file).
`static Phonon.Category` | `NoCategory` Will make use of the default device.
`static Phonon.Category` | `NotificationCategory` If the sounds produced are notifications (ping, beep and such) you should use this category.
`static Phonon.Category` | `VideoCategory` If the sound is the audio channel of a video.

Method Summary
`static Phonon.Category` | `resolve(int value)` Returns the Phonon$Category constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Phonon.Category` | `valueOf(java.lang.String name)`
`static Phonon.Category[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoCategory

    public static final Phonon.Category NoCategory

  Will make use of the default device.

### NotificationCategory

    public static final Phonon.Category NotificationCategory

  If the sounds produced are notifications (ping, beep and such) you should use this category.

### MusicCategory

    public static final Phonon.Category MusicCategory

  If your application is a music player (like a jukebox or media player playing an audio file).

### VideoCategory

    public static final Phonon.Category VideoCategory

  If the sound is the audio channel of a video.

### CommunicationCategory

    public static final Phonon.Category CommunicationCategory

  If your applications produces sounds from communication with somebody else (VoIP, voice chat).

### GameCategory

    public static final Phonon.Category GameCategory

  Sound produced by a computer game should go into this category.

### AccessibilityCategory

    public static final Phonon.Category AccessibilityCategory

  Sounds produced for accessibility (e.g., Text-To-Speech) Holds the largest value of categories.

Method Detail

### values

    public static Phonon.Category[] values()

### valueOf

    public static Phonon.Category valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Phonon.Category resolve(int value)

  Returns the Phonon$Category constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD